<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <title>KafkaLogs</title>
  <link href="../static/css/style.css" rel="stylesheet" th:href="@{css/style.css}"></link>
  <link href="../static/css/jqx.base.css" rel="stylesheet" th:href="@{css/jqx.base.css}" type="text/css"/>
  <link href="../static/css/jqx.metro.css" rel="stylesheet" th:href="@{css/jqx.metro.css}" type="text/css"/>

  <script src="../static/js/jquery-3.4.1.min.js" th:src="@{js/jquery-3.4.1.min.js}" type="text/javascript"></script>
  <script src="../static/js/jqxcore.js" th:src="@{js/jqxcore.js}" type="text/javascript"></script>
  <script src="../static/js/jqx-all.js" th:src="@{js/jqx-all.js}" type="text/javascript"></script>
  <script src="../static/js/tabs.js" th:src="@{js/tabs.js}" type="text/javascript"></script>

  <script th:inline="javascript">
            $(document).ready(function() {
                var logUsers = /*[[${logUsers}]]*/ 'default';
                var logProfiles = /*[[${logProfiles}]]*/ 'default';
                var logHouseholds = /*[[${logHouseholds}]]*/ 'default';
                var logDevices = /*[[${logDevices}]]*/ 'default';
                var logTypes = /*[[${logTypes}]]*/ 'default';

                var errorUsers = /*[[${errorUsers}]]*/ 'default';
                var errorProfiles = /*[[${errorProfiles}]]*/ 'default';
                var errorHouseholds = /*[[${errorHouseholds}]]*/ 'default';
                var errorDevices = /*[[${errorDevices}]]*/ 'default';

                $('#user_logs_ac').jqxDropDownList(getJqxDropDownListParams(logUsers));
                $('#profile_logs_ac').jqxDropDownList(getJqxDropDownListParams(logProfiles));
                $('#household_logs_ac').jqxDropDownList(getJqxDropDownListParams(logHouseholds));
                $('#device_logs_ac').jqxDropDownList(getJqxDropDownListParams(logDevices));
                $('#type_logs_ac').jqxDropDownList(getJqxDropDownListParams(logTypes));

                $('#user_errors_ac').jqxDropDownList(getJqxDropDownListParams(errorUsers));
                $('#profile_errors_ac').jqxDropDownList(getJqxDropDownListParams(errorProfiles));
                $('#household_errors_ac').jqxDropDownList(getJqxDropDownListParams(errorHouseholds));
                $('#device_errors_ac').jqxDropDownList(getJqxDropDownListParams(errorDevices));
            });

            function getJqxDropDownListParams(source) {
                return {source: source, theme: 'metro', autoDropDownHeight: source.length>8?false:true, };
            }
  </script>

  <script src="../static/js/updateAutoComplete.js" th:src="@{js/updateAutoComplete.js}" type="text/javascript"></script>

</head>
<body>
<div id="filter_options">
  <nav>
    <div class="active" id="logs_btn">All Logs</div>
    <div id="errors_btn">Errors</div>
  </nav>
  <div class="content active" id="logs_content">
    <h3>All Logs:</h3>
    <form action="/logs">
      <label>User:</label>
      <div class="selectList" id="user_logs_ac" name="user"></div>
      <label>Profile:</label>
      <div class="selectList" id="profile_logs_ac" name="profile"></div>
      <label>Household:</label>
      <div class="selectList" id="household_logs_ac" name="household"></div>
      <label>Device:</label>
      <div class="selectList" id="device_logs_ac" name="device"></div>
      <label>Type:</label>
      <div class="selectList" id="type_logs_ac" name="type"></div>
      <input class="btn" type="submit" value="Submit">
    </form>
  </div>
  <div class="content" id="errors_content">
    <h3>Errors:</h3>
    <form action="/errorReport">
      <label>User:</label>
      <div class="selectList" id="user_errors_ac" name="user"></div>
      <label>Profile:</label>
      <div class="selectList" id="profile_errors_ac" name="profile"></div>
      <label>Household:</label>
      <div class="selectList" id="household_errors_ac" name="household"></div>
      <label>Device:</label>
      <div class="selectList" id="device_errors_ac" name="device"></div>
      <label>From:</label> <input class="datetime" name="from" type="datetime-local">
      <label>To:</label> <input class="datetime" name="to" type="datetime-local">
      <input class="btn" type="submit" value="Submit">
    </form>
  </div>
</div>
</body>
</html>